AISDECODE(1)

NAME
aisdecode - Library for decoding maritime AIS messages

SYNOPSIS
aisdecode [OPTIONS] < INFILE.nmea > OUTFILE.json

DESCRIPTION

  Available opptions:

--gpsd Use gpsd compatible output

--copy-tagblock-timestamp=False

--encoding=msgpack Use msgpack encoding

--encoding=json Use json encoding (default)

--keep_nmea Include the raw nmea as a field in the decoded output

--verbose

--max_errors=NUM Terminate if error rate is > NUM%.

--allow_unknown

--ignore_tagblock_station

--treat_ab_equal

--pass_invalid_checksums

--allow_missing_timestamps

--uscg=False

--validate_checksum=False